jvm2016
Hot Shot
Hot Shot

powercli 5.1

Jump to solution

pastedImage_0.png

Hi Luc,

i am trying to run get-datastore -relatedobject cluster1 .and got above error .

its for powercli5.1 and we will upgrade to 11 after sometimes .

0 Kudos
1 Solution

Accepted Solutions
LucD
Leadership
Leadership

That feature was added in 5.5.2 I'm afraid.

pcli-change.jpg

You could do it the old-fashioned way :smileygrin:

Get-Cluster -Name MyCLuster |

Get-VMHost | Get-Datastore

---------------------------------------------------------------------------------------------------------

Was it helpful? Let us know by completing this short survey here.


Blog: lucd.info  Twitter: @LucD22  Co-author PowerCLI Reference

View solution in original post

0 Kudos
4 Replies
LucD
Leadership
Leadership

What kind of related object (VM, ESXi...) are you using?
And are you using the object or the name?

Not all current types of objects (11.4.0) were already available in 5.1R1


Blog: lucd.info  Twitter: @LucD22  Co-author PowerCLI Reference

0 Kudos
jvm2016
Hot Shot
Hot Shot

get-datastore -releatedobject  clustername

clustername after relatedobject

0 Kudos
LucD
Leadership
Leadership

That feature was added in 5.5.2 I'm afraid.

pcli-change.jpg

You could do it the old-fashioned way :smileygrin:

Get-Cluster -Name MyCLuster |

Get-VMHost | Get-Datastore

---------------------------------------------------------------------------------------------------------

Was it helpful? Let us know by completing this short survey here.


Blog: lucd.info  Twitter: @LucD22  Co-author PowerCLI Reference

0 Kudos
jvm2016
Hot Shot
Hot Shot

it has worked .thnaks.

0 Kudos